:root{

  /* --- PALETTE --- */

  /* bic from bic */
  --clr-a1: MediumBlue;
  --clr-a2: Crimson;
  --clr-a3: Green;
  --clr-a4: black;

  --clr-b1: BlueViolet;
  --clr-b2: hotpink;
  --clr-b3: yellowgreen;
  --clr-b4: DarkTurquoise;

  /* --- */

  --clr-fluo: gold;
  --clr-crayon: grey;
  --clr-wood: BurlyWood;

  /* --- interface color --- */
  --clr-main: black;
  --clr-border: black;
  
  --clr-fade: #a0a0a0;
  --clr-bold: #e0e0e0;
  --clr-inl-mono-back: #eaeaea;
  
  --clr-back: white;
  --clr-dark-back: #f5f5f5;
  --clr-dark-back: white;

  /* -- links color --- */
  --clr-link-ext: MediumBlue;
  --clr-link-sub: hotpink;
  --clr-link-int: OliveDrab;
  --clr-link-local: goldenrod;

  /* strokes */
  --border-width: 0.8px;
  --border: var(--border-width) solid var(--clr-border);
  --underline-width: calc(var(--border-width) * 0.8);
  --underline: underline var(--underline-width) currentColor;

  /* font-size */
  /* headers */
  --fs-h-plus: 1.5rem;    /* 24px */
  --fs-h: 1.25rem;        /* 20px */
  --fs-m: 1rem;           /* 16px */
  --fs-s: 0.875rem;       /* 14px */

  /* fs mono */
  --fs-inl-mono: 0.825rem;
  --fs-blk-mono: 0.75rem;
  --lh-mono: 1.25;
  
  /* leading as a variable, it is the size of a paragraph line */
  --lh-m: 1.6rem;
  --lh-s: 1.4rem;
  --lh: var(--lh-s);

  /* for certain UI element */
  --ui-height: calc(calc(var(--lh) * 1.5) + var(--border-width));
}

@media print{
  :root{
    --lh-m: var(--lh-s);
  }
}

/* BASICS
  ========================================================================== */

html{
  scroll-behavior: smooth;
}

body{
  color: var(--clr-main);
  margin: 0;
  min-height: 100vh;

  max-width: 100vw;
  overflow-x: hidden;
}

hr {
  border: none;
  border-top: var(--border);
}

*::selection{
  background: var(--clr-inl-mono-back);
  color: black;
}

strong{
  /* background-color: var(--clr-bold); */
  font-weight: normal;
  /* padding: 0.2em 0; */
  /* font-weight: bold; */
}

.date{
  text-transform: lowercase;
  color: var(--clr-fade);
  font-size: var(--fs-s);
}
.category{
  text-transform: lowercase;
  border: var(--border);
  border-radius: var(--lh);
  padding: calc(var(--lh) * 0.5) calc(var(--lh) * 1);
  display: inline-block;
  width: fit-content;
}
.tags{
  margin-top: calc(var(--lh) / 2);
  font-size: var(--fs-s);
  color: var(--clr-fade);
}

img{
  max-width: 100%;
  display: block;
  margin: 0 auto;
}

a{
  color: currentColor;
  text-decoration: none;
}

.external{
  color: var(--clr-link-ext);
}
.sub{
  color: var(--clr-link-sub);
}
.internal{
  color: var(--clr-link-int);
}
.local{
  color: var(--clr-link-local);
}
.external, .sub, .internal{
  text-decoration: var(--underline);
}
.button-link{
  text-decoration: none !important;
}
.button-link.internal{
  background-color: var(--clr-link-int);
  color: white;
}
.button-link.local{
  background-color: var(--clr-link-local);
  color: white;
}

a:hover{
  text-decoration: none;
}


@media (max-width: 36rem) {
  :root{
    --ui-height: calc(var(--lh) * 1.75);
  }
  .button-link:hover{
    border-radius: 0;
  }
}

/* PAD
  ========================================================================== */

.pad{
  /* we can align vertically .text-long, and default body text
  because their side padding is standardized to the smaller lh */
  padding: var(--lh) calc(var(--lh) * 0.5);
}
.pad-t{
  padding: calc(var(--lh) * 0.5);
}
.pad-v{
  padding: var(--lh) 0;
}
.pad-tv{
  padding: var(--lh) 0;
}
.pad-h{
  padding: 0 calc(var(--lh) * 0.5);
}

.pad-big{
  padding: 1rem 3rem;
}

@media (max-width: 36rem) {
  .pad,
  .pad-big{
    /* pad-big become pad on small screen */
    padding: var(--lh) calc(var(--lh) * 0.5);
  }
  .pad-h{
    padding: 0 calc(var(--lh) * 0.5);
  }
}

/* mobile details
  ========================================================================== */

/* hide by default */
.mobile-details summary {
	display: none;
  height: calc(var(--ui-height) - var(--border-width));
  position: relative;
  border-radius: var(--lh) var(--lh) 0 0;
  cursor: pointer;
  width: 25vw;
  margin-left: auto;
  margin-right: auto;
  box-sizing: border-box;
}


/* back on mobile */
@media screen and (max-width: 60rem) {
  .mobile-details summary{
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: calc(-1 * var(--lh));
    z-index: 9999;
    position: relative;
    background: var(--clr-dark-back);
  }
  .mobile-details > main{
    border-top: var(--border);
    border-top-style: dotted;
  }

  .articles-list{
    margin-top: 0;
  }
}

/* remove default cursor */
.mobile-details summary::-webkit-details-marker {
  display:none;
}
::marker{ display:none; } 
summary{ list-style: none }

/* replace with custom */
.mobile-details summary::after{
  content: 'hide';
  color: var(--clr-fade);
}
.mobile-details:not([open]) summary::after{
  content: 'see';
}

/* Modal Hover
  ========================================================================== */

.modal-hover {
  --transition: 250ms;
  width: min-content;
  position: relative;
  z-index: 0;
}

.modal-hover__summary {
  cursor: help;

  display: flex;
  align-items: center;
  justify-content: center;

  width: calc(var(--lh) * 2);
  height: calc(var(--lh) * 2);

  background: white;
  border-radius: 50%;

}
.modal-hover__summary > h2{
  font-family: monospace;
  font-size: var(--fs-h-plus) !important;
}

.modal-hover__summary>* {
  margin: 0;
}

.modal-hover__content {
  cursor: default;

  width: 20rem;

  position: absolute;
  bottom: 100%;
  left: 100%;
  z-index: -1;

  background: white;
  border: var(--border);
  border-radius: var(--lh);
  padding: var(--lh);

  /* we need a transition so there is time to move the cursor
  from outside the summary to the content whithout closing the content.
  this allow to be able to select, or click on the modal contant, whithout js
  or the summary and content touching */
  /* but we also need to really remove it from the document flow when it's hidden
  for this we use visibility: hidden with transition delay */
  visibility: hidden;
  opacity: 0;
  transition:
    opacity var(--transition) 0.5s,
    visibility 0s calc(var(--transition) + 0.5s);
}
.modal-hover__content code::before{
  background: #f0f0f0;
}

.modal-hover:hover .modal-hover__content {
  visibility: visible;
  opacity: 1;
  transition:
    visibility 0s,
    opacity var(--transition);
}